# Uses of Interface
javax.naming.ldap.UnsolicitedNotification

Packages that use UnsolicitedNotification
Package
Description
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.

- ## Uses of UnsolicitedNotification in javax.naming.ldap

  Methods in javax.naming.ldap that return UnsolicitedNotification
  Modifier and Type
  Method
  Description
  `UnsolicitedNotification`
  UnsolicitedNotificationEvent.`getNotification()`
  Returns the unsolicited notification.
  Constructors in javax.naming.ldap with parameters of type UnsolicitedNotification
  Modifier
  Constructor
  Description
  ``
  `UnsolicitedNotificationEvent(Object src, UnsolicitedNotification notice)`
  Constructs a new instance of `UnsolicitedNotificationEvent`.